<?php require_once('Connections/conn.php'); ?>
<?php
    session_start();
    if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	}
    header("Content-Type:text/html; charset=utf-8");
	$eval12     = $_GET['eval12'];
	$id_alumno= $_GET['id_alumno'];
	$periodo  = $_GET['periodo'];
	$carrera  = $_GET['carrera'];
	$materia  = $_GET['materia'];
	$seccion  = $_GET['seccion'];
	$sede     = $_GET['sede'];
	$profesor = $_GET['profesor'];
	$turno = $_GET['turno'];
	$nro=$_GET['nro'];
	
	// Actualiza el eval1 de acuerdo a lo ingresado por el usuario.
	$sql = "update `inscripciones` set `eval12`='$eval12'  WHERE id_alumno='$id_alumno' AND id_periodo='$periodo' AND id_carrera='$carrera' AND id_materia='$materia' AND  id_seccion='$seccion' AND sede='$sede' AND turno='$turno'";
    mysql_query($sql, $conn) or die(mysql_error());
	
	// Actualiza el acumulado total del corte 1 obtenida por el estudiante.
	$sql = "update `inscripciones` set corte_3=eval9+eval10+eval11+eval12  WHERE id_alumno='$id_alumno' AND id_periodo='$periodo' AND id_carrera='$carrera' AND id_materia='$materia' AND id_seccion='$seccion' AND sede='$sede' AND turno='$turno'";
	 mysql_query($sql, $conn) or die(mysql_error());
	
	// Actualiza el acumulado total del corte 1 obtenida por el estudiante.
	$sql = "update `inscripciones` set acumulado=corte_1+corte_2+corte_3+corte_4  WHERE id_alumno='$id_alumno' AND id_periodo='$periodo' AND id_carrera='$carrera' AND id_materia='$materia' AND id_seccion='$seccion' AND sede='$sede' AND turno='$turno'";

    mysql_query($sql, $conn) or die(mysql_error());
	// Toma el corte 1 actualizado para devolverlo al formulario.
	$query_acumulado = "SELECT corte_3, acumulado FROM inscripciones where id_alumno='$id_alumno' AND id_periodo='$periodo' AND id_carrera='$carrera' AND id_materia='$materia' AND id_seccion='$seccion' AND sede='$sede' AND turno='$turno'";
	
$rst_acumulado = mysql_query($query_acumulado, $conn) or die(mysql_error());
$row_acumulado = mysql_fetch_assoc($rst_acumulado);
$corte3=$row_acumulado['corte_3'];
$acumulado=$row_acumulado['acumulado'];

 $acumulado1Dec=round($acumulado,1);
 $acumuladoInt=round($acumulado1Dec);
 $definitiva=1;
		if($acumuladoInt>=1 && $acumuladoInt<=5){
		   $definitiva=1;
		} elseif ($acumuladoInt>=6 && $acumuladoInt<=11){
		   $definitiva=2;
		} elseif ($acumuladoInt>=12 && $acumuladoInt<=17){
		   $definitiva=3;
		} elseif ($acumuladoInt>=18 && $acumuladoInt<=23){
		   $definitiva=4;
		} elseif ($acumuladoInt>=24 && $acumuladoInt<=29){
		   $definitiva=5;
		} elseif ($acumuladoInt>=30 && $acumuladoInt<=34){
		   $definitiva=6;
		} elseif ($acumuladoInt>=35 && $acumuladoInt<=39){
		   $definitiva=7;
		} elseif ($acumuladoInt>=40 && $acumuladoInt<=44){
		   $definitiva=8;
		} elseif ($acumuladoInt>=45 && $acumuladoInt<=49){
		   $definitiva=9;
		} elseif ($acumuladoInt>=50 && $acumuladoInt<=54){
		   $definitiva=10;
		} elseif ($acumuladoInt>=55 && $acumuladoInt<=59){
		   $definitiva=11;
		} elseif ($acumuladoInt>=60 && $acumuladoInt<=64){
		   $definitiva=12;
		} elseif ($acumuladoInt>=65 && $acumuladoInt<=69){
		   $definitiva=13;
		} elseif ($acumuladoInt>=70 && $acumuladoInt<=74){
		   $definitiva=14;
		} elseif ($acumuladoInt>=75 && $acumuladoInt<=79){
		   $definitiva=15;
		} elseif ($acumuladoInt>=80 && $acumuladoInt<=84){
		   $definitiva=16;
		} elseif ($acumuladoInt>=85 && $acumuladoInt<=88){
		   $definitiva=17;
		} elseif ($acumuladoInt>=89 && $acumuladoInt<=92){
		   $definitiva=18;
		} elseif ($acumuladoInt>=93 && $acumuladoInt<=96){
		   $definitiva=19;
		} elseif ($acumuladoInt>=97 && $acumuladoInt<=100){
		   $definitiva=20;
		}
 
 $sql = "update `inscripciones` set nota='$definitiva'  WHERE id_alumno='$id_alumno' AND id_periodo='$periodo' AND id_carrera='$carrera' AND id_materia='$materia' AND id_seccion='$seccion' AND sede='$sede' AND turno='$turno'";
   mysql_query($sql, $conn) or die(mysql_error());
   
?>

<script type="text/javascript">	   
window.parent.document.editar_nota.corte_3<?php echo $nro ?>.value=<?php echo $corte3; ?>;
window.parent.document.editar_nota.acumulado<?php echo $nro ?>.value=<?php echo $acumulado; ?>;
</script>
